Using Remote Desktop Connection

With Remote Desktop Connection, you can easily connect to a terminal server or to another computer running Windows. All you need is network access and permissions to connect to the other computer. Optionally, you can specify special settings for your connection and then save the settings for the next time you connect.

Notes

  • To enable your computer to accept remote connections, check Help for your operating platform.
  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • To view a list of available computers on the domain, click the Computer arrow and select <Browse for more...>.


Create a new connection

To create a new connection

  1. Open Remote Desktop Connection.

  2. In Computer, type a computer name or IP address. The computer can be a terminal server or it can be a computer running Windows Professional or Server that has Remote Desktop enabled and for which you have Remote Desktop permissions.

  3. Click Connect.

    The Log On to Windows dialog box appears.

  4. In the Log On to Windows dialog box, type your user name, password, and domain (if required), and then click OK.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • To change your connection settings, (such as screen size, automatic logon information, and performance options), click Options before you connect. For more information, see Change Connection Settings.

Related Topics

Reestablish a prior connection

Save your connection settings to a file


Reestablish a prior connection

To reestablish a prior connection

  1. In the Remote Desktop Connection window, click the Computer arrow and select the name of the computer to which you want to connect.

  2. Click Connect.

    The Log On to Windows dialog box appears.

  3. In the Log On to Windows dialog box, type your user name, password, and domain (if required), and then click OK.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • To view a list of available computers on the domain, click the Computer arrow and select <Browse for more...>.

Related Topics

Create a new connection

Save your connection settings to a file


Save your connection settings to a file

To save your connection settings to a file

  1. Create a new connection or Reestablish a prior connection.
  2. Click Options.
  3. Specify the connection settings that you want for this connection, (such as screen size, automatic logon information, and performance options). For more information, see Change Connection Settings.
  4. On the General tab, click Save As.
  5. Enter a file name for the saved connection file, and then click Save.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Connections are saved as Remote Desktop file (.rdp) files. An .rdp file contains all of the information for a connection to a terminal server, including the Options settings that were configured when the file was saved. You can customize any number of .rdp files, including files for connecting to the same server with different settings. For example, you can save a file that connects to MyServer in full screen mode and another file that connects to the same computer in 800×600 screen size. By default, .rdp files are saved as hidden files in My Documents. To edit an .rdp file and change the connections settings it contains, right-click the file and then click Edit.

Related Topics

Create a new connection

Open a saved connection


Open a saved connection

To open a saved connection

  1. In Windows Explorer, open the My Documents folder.
  2. Click the .rdp file for the connection you want to open.

Note

  • A Remote Desktop file (.rdp) file contains all of the information for a connection to a remote computer, including the Options settings that were configured when the file was saved. You can customize any number of .rdp files, including files for connecting to the same server with different settings. For example, you can save a file that connects to MyServer in full screen mode and another file that connects to the same computer in 800×600 screen size. By default, .rdp files are saved as hidden files in My Documents. To edit an .rdp file and change the connections settings it contains, right-click the file and then click Edit.

Related Topics

Create a new connection

Save your connection settings to a file


Copy and paste a file from a local computer to a remote computer

To copy and paste a file from a local computer to a remote computer

  1. Use Remote Desktop Connection to establish a connection to a remote computer.
  2. Click Start on the task bar of the remote computer, and then click My Computer, or double-click the My Computer icon on the desktop of the remote computer.

    When Windows Explorer opens on the remote computer, it displays the drives on the remote computer, as well as the drives on your local computer (the computer at which you are currently sitting). The following example shows how the drives on your local computer are named when they appear in Windows Explorer on the remote computer.

    <driveletter> on tsclient

    tsclient is the name that Remote Desktop Connection assigns to your local computer.

  3. Right-click the file residing on your local computer that you want to transfer to the remote computer, and then click Copy.
  4. Navigate in the same Windows Explorer window to the location on the remote computer where you want to paste the file.
  5. Right-click the folder icon and then click Paste.

Note

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.

Related Topics

Copying and pasting a file from a remote computer to a local computer

Cutting and pasting to and from a remote session

Accessing local files and folders in a remote session

Making local disk drives available in a session

How to...


Copy and paste a file from a remote computer to a local computer

To copy and paste a file from a remote computer to a local computer

  1. Use Remote Desktop Connection to establish a connection to a remote computer.
  2. Click Start on the task bar of the remote computer, and then click My Computer, or double-click the My Computer icon on the desktop of the remote computer.

    When Windows Explorer opens on the remote computer, it displays the drives on the remote computer, as well as the drives on your local computer (the computer at which you are currently sitting). The following example shows how the drives on your local computer are named when they appear in Windows Explorer on the remote computer.

    <driveletter> on tsclient

    tsclient is the name that Remote Desktop Connection assigns to your local computer.

  3. Right-click the file residing on the remote computer that you want to transfer to the local computer, and then click Copy.
  4. Navigate in the same Windows Explorer window to the location on the local computer where you want to paste the file.
  5. Right-click the folder icon and then click Paste.

Note

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.

Related Topics

Copying and pasting a file from a local computer to a remote computer

Cutting and pasting to and from a remote session

Accessing local files and folders in a remote session

Making local disk drives available in a session

How to...


Change Connection Settings

How to...

  • Provide information for automatic logon
  • Change the screen size for connections
  • Change the color settings for connections
  • Specify a program to start upon connection
  • Configure connections to play audio
  • Make local disk drives available in a session
  • Make local printer available in a session
  • Make local serial ports available in a session
  • Configure Windows shortcut keys in a session
  • Configure data compression
  • Configure bitmap caching
  • Disconnect without ending a session
  • Log off and end a session
  • Save your connection settings to a file


Provide information for automatic logon

To provide information for automatic logon

  1. In the Remote Desktop Connection window, click Options.

  2. On the General tab, under Logon settings, in the User name box, verify that your user name is correct.
  3. In the Domain box, type the workgroup or domain to automatically log on to (if required).
  4. Optionally, check the Save my password box, and then enter your password in the Password box.
  5. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network or the configuration of the terminal server to which you want to connect, you might be prompted to supply your password upon connection, even if you have saved the password you typed in the Remote Desktop Connection dialog box.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.

Related Topics

Create a new connection

How to...


Change the screen size for connections

To change the screen size for connections

  1. In the Remote Desktop Connection window, click Options.

  2. On the Display tab, under Remote desktop size, drag the slider to choose the size of your remote desktop. Drag the slider all the way to the right for full screen.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.

Related Topics

Use Terminal server shortcut keys

Save your connection settings to a file


Change the color settings for connections

To change the color settings for connections

  1. In the Remote Desktop Connection window, click Options.

  2. On the Display tab, in the Colors list, click the color resolution you want.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network or the configuration of the terminal server to which you want to connect, the maximum color resolution for your remote connection might be limited. If the color resolution you select is higher than the allowable setting, Remote Desktop Connection creates the connection at the maximum allowable color resolution.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.

Related Topics

Use Terminal server shortcut keys

Save your connection settings to a file


Improve the performance of connections

To improve the performance of connections

  1. In the Remote Desktop Connection dialog box, click Options, and then click the Experience tab.
  2. In the Performance box, choose the speed of your connection.

    To improve the performance of the connection, you can allow certain characteristics of the remote Windows session to appear if they are enabled on the remote computer. The characteristics that can be changed depend on the speed of your connection.

    If you choose Custom, you can check any combination of boxes. Your choices are saved in a connection (.rdp) file.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • The default connection speed is Modem (56 Kbps). This speed offers very good performance for most networks. Use the faster speed settings to enable richer graphical features, such as desktop wallpaper or menu sliding and fading. To select a combination of individual effects, use the Custom setting.
  • Depending on the speed of your connection, you can specify the following characteristics:
    • Desktop background
    • Show window contents while dragging
    • Menu fading and sliding
    • Themes
    • Bitmap caching

Related Topics

To save your connection settings to a file

To configure bitmap caching

How to ...


Display the connection bar in full-screen mode

To display the connection bar in full-screen mode

  1. In the Remote Desktop Connection window, click Options.
  2. On the Display tab, check the Display the connection bar when in full screen mode box.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.

Related Topics

Making a new connection

How to...


Specify a program to start upon connection

To specify a program to start upon connection

  1. In the Remote Desktop Connection window, click Options.

  2. On the Programs tab, under Start a program, click Start the following program on connection.
  3. In the Program path and file name box, type the path and file name of the program that you want to run after the connection is created.
  4. Optionally, in the Start in the following folder: box, type the path to the working directory of the program.
  5. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • This option is available only if you are connecting to a terminal server.
  • When the connection is made, only the specified program runs on the remote computer.
  • There are two ways to end a session.
    • To end the session and close the program, use the program's Exit command.
    • To disconnect the session and leave the program running on the remote computer, right-click the computer icon in the upper right corner of the Remote Desktop window, and then click Close.
  • To specify a path, type the drive letter followed by a colon (:) and a backslash (\), type the names of the folders and subfolders that contain the file, separating each name with a backslash, and then type the name of the file or folder you want to open.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.

Related Topics

Save your connection settings to a file

How to...


Configure connections to play audio

To configure connections to play audio

  1. In the Remote Desktop Connection window, click Options.

  2. On the Local Resources tab, in the Remote computer sound list, click the option you want.
    • To run sound files in your Remote Desktop session and hear them on your local computer, choose Bring to this computer.
    • To run sound files in your Remote Desktop session and play them only on the remote computer, choose Leave at remote computer.
    • To disable all sound in Remote Desktop sessions, choose Do not play.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network, audio redirection might be disabled for some or all remote connections. Additionally, audio redirection does not work when you connect to a server running Windows 2000 or earlier.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.


Make local disk drives available in a session

To make local disk drives available in a session

  1. In the Remote Desktop Connection window, click Options.

  2. On the Local Resources tab, Under Local devices, click Disk drives.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network, local drive mapping might be disabled for some or all remote connections.
  • You might see a Remote Desktop Connection Security Warning, which asks whether you want to connect your local disk drives or smart card to the remote computer. To enable one or both of these connections, check the appropriate check box. If you choose not to enable these connections, a Remote Desktop Connection is still established, but the information on these local drives is not available to the remote computer.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.


Make your local printer available in a session

To make your local printer available in a session

  1. In the Remote Desktop Connection window, click Options.

  2. On the Local Resources tab, under Local devices, click Printers.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network, local printer mapping might be disabled for some or all remote connections.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.


Make your local serial port available in a session

To make your local serial port available in a session

  1. In the Remote Desktop Connection window, click Options.

  2. On the Local Resources tab, under Local devices, click Serial ports.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network, local serial port mapping might be disabled for some or all remote connections.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.


Configure Windows shortcut keys in a session

To configure Windows shortcut keys in a session

  1. In the Remote Desktop Connection window, click Options.
  2. On the Local Resources tab, under Keyboard, click the Apply Windows key combinations list, and then click the option you want. This option affects the behavior of Windows shortcut key combinations (such as ALT+TAB) when you are connected to a remote computer.
    • To configure your connection so that Windows shortcut keys always apply to your local desktop, choose On the local computer.
    • To configure your connection so that all Windows shortcut keys always apply to the desktop of the remote computer, choose On the remote computer.
    • To configure your connection so that Windows shortcut keys apply to the remote computer only when the connection is in full screen mode, choose In full screen mode only.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.
  • CTRL+ALT+DEL always defaults to the local desktop.
  • If you use a smart card with a portable computer, you must use CTRL+ALT+END to log on to a remote computer, instead of CTRL+ALT+DEL.
  • To toggle between full screen and non-full screen mode during a Terminal Services session, use CTRL+ALT+BREAK. For a list of Terminal server-specific shortcut keys, see Use Terminal server shortcut keys.

Related Topics

Use Terminal server shortcut keys

Save your connection settings to a file


Configure data compression

To configure data compression

  1. In the Remote Desktop Connection window, click Options.

  2. On the Advanced tab, verify that the Use compression check box is selected. Or, to disable compression, click the Use compression check box to clear it.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • By default, compression is enabled for Remote Desktop connections. Compression reduces the amount of data that has to be sent across the network, but it requires a small amount of extra processing power. If your processor is slow, you might try disabling compression. However, it is recommended that you use compression unless instructed otherwise by your network administrator.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.

Related Topics

Configure bitmap caching

How to...


Configure bitmap caching

To configure bitmap caching

  1. In the Remote Desktop Connection window, click Options.

  2. On the Advanced tab, verify that the Use bitmap caching check box is selected. Or, to disable bitmap caching, click the Use bitmap caching check box to clear it.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Bitmap caching can speed up your connection by storing frequently used images on your local hard disk. By default, bitmap caching is enabled for Remote Desktop connections. It is recommended that you use bitmap caching unless instructed otherwise by your network administrator.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.

Related Topics

Configure data compression

How to...


Disconnect without ending a session

To disconnect without ending a session

  1. In the Remote Desktop Connection window, click Start, and then click Shut Down.

    The Shut Down Windows dialog box appears.

  2. Click Disconnect, and then click OK.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • You can also disconnect from a session by closing the Remote Desktop Connection window.
  • Remote Desktop Connection automatically reconnects to this session the next time you connect to this computer (if the remote computer is configured to allow reconnection of disconnected sessions).

Related Topics

Logging off and ending the session

How to...


Log off and end the session

To log off and end the session

  1. In the Remote Desktop Connection window, click Start, and then click Shut Down.

    The Shut Down Windows dialog box appears.

  2. Click Log Off <username>, and then click OK.

Note

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.

Related Topics

Disconnecting without ending a session

How to...


Use Remote Desktop Connection

How to...

  • Cut and paste to a local application from a remote session
  • Access local files and folders in a remote session
  • Print to your local printer from a remote session
  • Disconnect without ending a session
  • Log off and end the session
  • Use Terminal server shortcut keys


Cutting and pasting to and from a remote session

Many Remote Desktop and Terminal Server connections provide clipboard sharing, allowing you to cut and paste from programs running in your Remote Desktop session to programs running on your local computer.

When you cut or copy information from a program, it is moved to the Clipboard and remains there until you clear the Clipboard or until you cut or copy another piece of information. The Clipboard window in ClipBook Viewer (Clipbrd.exe) shows the contents of the Clipboard. You can paste the information from the Clipboard into any document as often as you like. However, the information is only stored on the Clipboard temporarily.

The shared clipboard synchronizes its contents with the local clipboard. You can copy and paste text or graphics from a document within the Remote Desktop Connection window, and paste it into a document on your local computer. For information on copying, pasting, and using local files and folders in a Remote Desktop session, see Accessing local files and folders in a remote session.

Notes

  • Depending on the policies of your network and the version of Windows that is running on the remote computer, clipboard sharing might not work for some Remote Desktop connections.

Related Topics

Accessing local files and folders in a remote session

How to...


Accessing local files and folders in a remote session

With Remote Desktop Connection, your local drives are available automatically when you are connected to a remote computer.

Within a Remote Desktop session, your local drives appear in Windows Explorer with the following designation:

<driveletter>\ on tsclient

To access local drives from a command line or a run line in a remote session, type:

\\tsclient\<driveletter>

where driveletter is the drive letter (without a colon) of the local drive.

Notes

  • Depending on your network policies, automatic drive mapping might be disabled for some or all computers on your network. To ensure that Remote Desktop Connection is configured to map local drives, see To make local disk drives available in a session.
  • Automatic drive mapping is not available when you are connecting to a terminal server running Windows 2000 or earlier.

Related Topics

Making local disk drives available in a session

How to...


Printing to your local printer from a remote session

Printer redirection routes printing jobs from the terminal server or Remote Desktop computer to a printer attached to your local computer (also called the "client computer"). There are two ways to provide access to local printers: automatic and manual printer redirection. Use manual redirection when your local printer requires a driver that is not available on the version of Windows that is running on the remote computer.

Automatic printer redirection

Printer redirection is automatic when the local printer uses a driver that is installed on the server. When you log on to a session on a terminal server, or to a computer running Windows Professional or Server and Remote Desktop, any local printers attached to LPT, COM and USB ports that are installed on the client (local) computer are automatically detected and a local queue is created on the server. The client computer printer settings for the default printer and some properties (such as printing on both sides of the page) are used by the server.

When you disconnect or end the session, the printer queue is deleted and any incomplete or pending print jobs are lost. Information about the client's local printers and settings are saved on the client computer. On subsequent logons, the printer queue is created using the information stored on the client computer.

If a printer driver is not found on the server, an event is logged and the client printer is not created. To make the printer available, the driver must be manually installed on the server.

Manual printer redirection

Printers attached to LPT and COM ports on the client (local) computer can be manually redirected, although manual redirection of printers connected through USB ports is not supported.

To manually redirect a client printer, contact your administrator and provide the name of your computer (or IP address for a Windows-based Terminal). The client must be connected to the remote computer during manual redirection.

After the initial manual redirection, printers will be automatically redirected during subsequent logons.

Notes

  • Redirected printers are available for use with applications running on the server. Redirected printers appear in the Printers and Faxes folder in Control Panel and are named in this format: Client Printer Name/Client Computer Name/Session Number.
  • When you disconnect or log off from a session, the printer queue is deleted and incomplete or pending print jobs are lost.

Related Topics

To make your local printer available in a session

How to...


Using Terminal Server shortcut keys

If you choose not to apply Windows key combinations to your Remote Desktop sessions, you can use these Terminal Server shortcut keys to perform many of the same functions. For more information about applying Windows key combinations, see To configure Windows shortcut keys in a session.

Shortcut key | Description
ALT+PAGE UP | Switches between programs from left to right.
ALT+PAGE DOWN | Switches between programs from right to left.
ALT+INSERT | Cycles through the programs in the order they were started.
ALT+HOME | Displays the Start menu.
CTRL+ALT+BREAK | Switches the client between a window and full screen.
CTRL+ALT+END | Brings up the Windows Security dialog box.
ALT+DELETE | Displays the Windows menu.
CTRL+ALT+Minus (-) symbol on the numeric keypad | Places a snapshot of the active window, within the client, on the Terminal server clipboard (provides the same functionality as pressing PrintScrn on a local computer.)
CTRL+ALT+Plus (+) symbol on the numeric keypad | Places a snapshot of the entire client window area on the Terminal server clipboard (provides the same functionality as pressing ALT+PrintScrn on a local computer.)

Notes

  • On an NEC98, these shortcut keys are different in two cases:
    • CTRL+ALT+BREAK is replaced by F12.
    • CTRL+ALT+END is replaced by F15.
  • CTRL+ALT+BREAK and CTRL+ALT+END are available in all Remote Desktop Connection sessions, even when you have chosen to apply Windows key combinations on the remote computer.

Related Topics

Configuring Windows shortcut keys in a session

How to...


Troubleshooting

  • Troubleshooting General Error Messages
  • Troubleshooting Licensing Error Messages
  • Troubleshooting Specific Problems


Troubleshooting General Error Messages

Which message are you getting?

Because of an error in data encryption, this session will end. Please try connecting to the remote computer again.

Cause: Data encryption provides security for data traveling over network connections. A data encryption error can end a session for security reasons.

Solution: Try connecting to the remote computer again. Encryption policies can vary between systems and domains. If you continue to see this error message, contact the server administrator.

The remote connection has timed out. Please try connecting to the remote computer again.

Cause: The terminal server disconnected your session because you did not send a response within the time limit set for responses.

Solution: Try connecting to the terminal server again. If you receive this error message, try to reconnect at a later time. If you continue to receive this error message, contact the server administrator.

Cause: A slow network connection, caused by excessive network traffic, has delayed your response to the terminal server.

Solution: Try connecting to the terminal server again. If you receive this error message, try to reconnect at a later time. If you continue to receive this error message, contact the server administrator.

The remote session was disconnected because the total logon time limit was reached. This limit is set by the server administrator or by network policies.

Cause: A slow network connection, caused by excessive network traffic, has delayed your response to the terminal server.

Solution: Try connecting to the terminal server again. If you receive this error message, try to reconnect at a later time. If you continue to receive this error message, contact the server administrator.

The specified computer name contains invalid characters. Please verify the name and try again.

Cause: The name of the remote computer is incorrect. This might be a typing error.

Solution: Try typing the name of the remote computer again. If you receive the same message, contact the server administrator to be sure you are using the correct name for the remote computer.

The specified remote computer could not be found. Verify that you have typed the correct computer name or IP address, and then try connecting again.

Cause: The name or IP address of the remote computer is incorrect. This might be a typing error.

Solution: Try typing the name or IP address of the remote computer again. If you receive the same message, contact the server administrator to be sure you are using the correct name or IP address for the remote computer.

The remote session to the remote computer was ended by means of an administration tool. Your administrator might have ended your connection.

Cause: The most common cause of this error is that the server administrator needed to perform maintenance tasks on the terminal server. These tasks can be performed only when there are no remote connections to the terminal server.

Solution: Try to reconnect at a later time. If you receive the same message, contact the server administrator.

The remote session was disconnected because your session was logged off at the remote computer. Your administrator or another user might have ended your session.

Cause: The most common cause of this error is that the server administrator needed to perform maintenance tasks on the terminal server. These tasks can be performed only when there are no remote connections to the terminal server.

Solution: Try to reconnect at a later time. If you receive the same message, contact the server administrator.

The remote session was disconnected because another user has connected to the session.

Cause: The most common cause of this error is that the server administrator needed to perform maintenance tasks on the terminal server. These tasks can be performed only when there are no remote connections to the terminal server.

Solution: Try to reconnect at a later time. If you receive the same message, contact the server administrator.

The remote session was disconnected because the total logon time limit was reached. This limit is set by the server administrator or by network policies.

Cause: The terminal server disconnected your session because it did not receive complete logon information within the time limit set by the server administrator. Slow network traffic is one possible cause.

Solution: Try connecting to the remote computer again. If you receive the same message, try to reconnect at a later time. If you still have problems connecting, contact the server administrator.

The local computer is low on memory. Close some programs, and then connect to the remote computer again.

Cause: Not enough RAM available on your computer. If your computer has too little RAM available, it cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: Not enough disk space available on your hard drive. If the hard drive on your computer is full, there might not be enough space available to allow the swap file to operate correctly. The swap file allows your computer to perform some RAM functions even when there is not enough RAM space available.

Solution: Free some space on your hard drive by:

  • Emptying your recycle bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying your recycle bin after you delete files.

The connection was ended because of a network error. Please try connecting to the remote computer again.

Cause: A network error prevented your computer from communicating with the terminal server.

Solution: Try connecting to the remote computer again. If you receive the same message, be sure that your computer is connected to the network. If you are still unable to connect to the remote computer, contact the server administrator.

The client could not connect. You cannot connect to the console from a console session of the same computer.

Cause: You are logged on to a computer and you are trying to connect to that same computer.

Solution: If you are not on the same computer, contact the server administrator.

The client could not connect to the remote computer. Remote connections might not be enabled or the computer might be too busy to accept new connections. It is also possible that network problems are preventing your connection. Please try your connection again later. If the problem continues to occur, contact your administrator.

Cause: The remote computer might not be set up to accept remote connections.

Solution: Try connecting to the remote computer at a later time. If you receive the same message, contact the server administrator.

Cause: The remote computer might already have the maximum number of remote connections it is set up to accept.

Solution: Try connecting to the remote computer at a later time. If you receive the same message, contact the server administrator.

Cause: Network problems might be preventing the connection.

Solution: Try connecting to the remote computer at a later time. If you receive the same message, contact the server administrator.

Error: Out of memory. The remote session will be disconnected. Close some programs on the local computer, and then try connecting to the remote computer again.

Cause: Not enough RAM available on your computer. If your computer has too little RAM available, it cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: Not enough disk space available on your hard drive. If the hard drive on your computer is full, there might not be enough space available to allow the swap file to operate correctly. The swap file allows your computer to perform some RAM functions even when there is not enough RAM space available.

Solution: Free some space on your hard drive by:

  • Emptying your recycle bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying your recycle bin after you delete files.

An internal state error has occurred. The remote session will be disconnected. Your local computer might be low on memory. Close some programs, and then try connecting to the remote computer again.

Cause: Not enough RAM available on your computer. If your computer has too little RAM available, it cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: Not enough disk space available on your hard drive. If the hard drive on your computer is full, there might not be enough space available to allow the swap file to operate correctly. The swap file allows your computer to perform some RAM functions even when there is not enough RAM space available.

Solution: Free some space on your hard drive by:

  • Emptying your recycle bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying your recycle bin after you delete files.

Because of a protocol error, this session will be disconnected. Please try connecting to the remote computer again.

Cause: A protocol specifies the way a computer communicates with other computers. A protocol error prevents your computer from communicating with the terminal server to which you were connected.

Solution: Try connecting to the remote computer again. If you receive the same message, contact the server administrator.

Because of a protocol error (error_code), the remote session will be disconnected. Please try connecting to the remote computer again.

Cause: A protocol specifies the way a computer communicates with other computers. A protocol error prevents your computer from communicating with the terminal server to which you were connected.

Solution: Try connecting to the remote computer again. If you receive the same message, contact the server administrator, and provide the error code that was displayed in the message.

Because of a security error, the client could not connect to the remote computer. Verify that you are logged on to the network, and then try connecting again.

Cause: The most common causes are network errors or slowdowns.

Solution: Be sure your computer is connected to the network. Try to reconnect at a later time. If you cannot connect, contact the server administrator.

The remote session was disconnected because the remote computer is low on memory.

Cause: Memory errors have a variety of causes, but the result is the same. The remote computer does not have enough memory to start and maintain the connection you are attempting to make.

Solution: Contact the server administrator.

Because of an unknown error, the remote session will be disconnected. The local computer might be low on memory. Close some programs, and then try connecting to the remote computer again.

Cause: Not enough RAM available on your computer. If your computer has too little RAM available, it cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: Not enough disk space available on your hard drive. If the hard drive on your computer is full, there might not be enough space available to allow the swap file to operate correctly. The swap file allows your computer to perform some RAM functions even when there is not enough RAM space available.

Solution: Free some space on your hard drive by:

  • Emptying your recycle bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying your recycle bin after you delete files.

An unrecoverable error occurred while the client was attempting to connect. Close some programs, and then try connecting to the remote computer again.

Cause: Not enough RAM available on your computer. If your computer has too little RAM available, it cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: Not enough disk space available on your hard drive. If the hard drive on your computer is full, there might not be enough space available to allow the swap file to operate correctly. The swap file allows your computer to perform some RAM functions even when there is not enough RAM space available.

Solution: Free some space on your hard drive by:

  • Emptying your recycle bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying your recycle bin after you delete files.

An error occurred when the client attempted to connect to the remote computer. Check your system memory and then try the connection again.

Cause: Not enough RAM available on your computer. If your computer has too little RAM available, it cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: Not enough disk space available on your hard drive. If the hard drive on your computer is full, there might not be enough space available to allow the swap file to operate correctly. The swap file allows your computer to perform some RAM functions even when there is not enough RAM space available.

Solution: Free some space on your hard drive by:

  • Emptying your recycle bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying your recycle bin after you delete files.

Unable to allocate window resources. The remote session will be disconnected. Close some programs on the local computer, and then try connecting to the remote computer again.

Cause: Not enough RAM available on your computer. If your computer has too little RAM available, it cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: Not enough disk space available on your hard drive. If the hard drive on your computer is full, there might not be enough space available to allow the swap file to operate correctly. The swap file allows your computer to perform some RAM functions even when there is not enough RAM space available.

Solution: Free some space on your hard drive by:

  • Emptying your recycle bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying your recycle bin after you delete files.

Client and server versions do not match. Please upgrade your client software and then try connecting again.

Cause: Remote Desktop Connection does not function unless the version of software on your computer matches the version of software on the server.

Solution: Contact the server administrator for assistance with upgrading the software on your computer.


Troubleshooting Licensing Error Messages

Which message are you getting?

The remote session was disconnected because the Terminal Server client access license stored on this computer is in an invalid format.

Cause: There is a problem with the license that enables your computer to connect to the terminal server.

Solution: Contact the server administrator.

The remote session was disconnected because the remote computer received an invalid licensing message from this computer.

Cause: There is a problem with the license that enables your computer to connect to the terminal server.

Solution: Contact the server administrator.

The remote session was disconnected because the Terminal Server client access license stored on this computer has been modified.

Cause: There is a problem with the license that enables your computer to connect to the terminal server.

Solution: Contact the server administrator.

The remote session was disconnected because the local computer's client access license could not be upgraded or renewed. Please contact the server administrator.

Cause: There is a problem with the license that enables your computer to connect to the terminal server.

Solution: Contact the server administrator.

The remote session was disconnected because the client prematurely ended the licensing protocol.

Cause: The license on your computer is not being presented to the remote computer.

Solution: Try connecting to the remote computer again. If you continue to receive this error message, contact the server administrator.

The remote session was disconnected because the remote computer is not licensed to accept remote connections. Please contact the server administrator.

Cause: The remote computer you tried to log on to does not accept remote connections.

Solution: Be sure you typed the name of the remote computer correctly. If you continue to receive this error message, contact the server administrator.

The remote session was disconnected because a licensing message was incorrectly encrypted.

Cause: A data encryption error has prevented your computer from giving its license to the terminal server.

Solution: Try connecting to the remote computer again. Encryption policies vary between systems and domains. If you continue to receive this error message, contact the server administrator.

The remote computer disconnected the session because of an error in the licensing protocol. Please try connecting to the remote computer again or contact your server administrator.

Cause: The licensing protocol handles the communication of licensing information between your computer and the remote computer. If there is an error in the licensing protocol, your computer cannot be connected to the remote computer.

Solution: Try connecting to the remote computer again. If you continue to receive this error message, contact the server administrator.

The remote session was disconnected because there was an internal error in the remote computer's licensing protocol.

Cause: The licensing protocol handles the communication of licensing information between your computer and the remote computer. If there is an error in the licensing protocol, your computer cannot be connected to the remote computer.

Solution: Try connecting to the remote computer again. If you continue to receive this error message, contact the server administrator.

The remote session was disconnected because there were network problems during the licensing protocol. Please try connecting to the remote computer again.

Cause: A network error prevented your computer from passing its license to the terminal server.

Solution: Try connecting to the remote computer again. If you receive the same error message, be sure that your computer is connected to the network. If you are still unable to connect to the terminal server, contact the server administrator.

A licensing error occurred while the client was attempting to connect. (Licensing timed out.) Please try connecting to the remote computer again.

Cause: An unspecified error prevented your computer from connecting to the terminal server. The problem could not be corrected before the time limit for sending the license to the terminal server had expired.

Solution: Try connecting to the remote computer again. If you receive the same error message, contact the server administrator.

The remote session was disconnected because there are no Terminal Server client access licenses available for this computer. Please contact the server administrator.

Cause: The license server cannot provide a license at this time.

Solution: Contact the server administrator.

Cause: Your computer is using an expired license, and the terminal server cannot get a new license from the license server.

Solution: Contact the server administrator.

Cause: The terminal server cannot communicate with the license server and cannot give your computer a temporary license.

Solution: Contact the server administrator.

The remote session was disconnected because there are no Terminal Server License Servers available to provide a license. Please contact the server administrator.

Cause: The terminal server cannot communicate with the license server.

Solution: Contact the server administrator.


Troubleshooting Specific Problems

What problem are you having?

I cannot copy text from an application on the terminal server to another application that is on my local computer.

Cause: It is possible that Remote Desktop Connection was not installed correctly.

Solution: Uninstall and then reinstall Remote Desktop Connection. If you need assistance, contact the server administrator.

I minimized the Remote Desktop Connection dialog box, and then my screen went blank.

Cause: Using a password-protected screen saver can cause this problem. Your applications are still running on the remote computer, but you can no longer use them.

Solution: Disconnect Remote Desktop Connection, or ask the server administrator to disconnect you.

Solution: Do not minimize the Remote Desktop Connection dialog box if your computer uses a password-protected screen saver.

Solution: Do not use a password-protected screen saver on your local computer.

The screen saver on my Remote Desktop is blank.

Cause: By default, when a screen saver is activated on Remote Desktop, it is blank. This is true regardless of whether you have previously selected a different screen saver.

Solution: Continue to use the blank screen saver.

I'm supposed to be able to connect to a specific application when I log on to the remote computer, but it doesn't start.

Solution: If the remote computer is running Windows XP Professional, the complete contents of the Desktop are always displayed. Start the program you want to use by double-clicking its icon on the Desktop or using the Start menu.

Cause: The client connection might have been configured to start a program upon connection, but the program path and file name are incorrect.

Solution: Check the properties for the client connection to ensure that the program path and file name are correct. Also, confirm that the program exists in this location on the server.

Cause: The server administrator might have specified a different program to start upon connection, using Group Policy, Terminal Services Configuration, or other Terminal Services administration tools.

Solution: Contact the server administrator.

Remote Desktop Connection is very slow.

Cause: A low-bandwidth connection can slow Remote Desktop performance.

Solution: On the remote computer, set the background selection to None.

Solution: Do not run memory-intensive applications over Remote Desktop Connection.

Solution: Consider upgrading your modem or installing a DSL connection.